let shuttleName ='Determination';
let shuttleSpeedMph = 17_500;
const DISTANCE_TO_MARS_KM = 225_000_000;
const DISTANCE_TO_MOON_KM = 384_400;
const MILES_PER_KILOMETER = 0.621;
const HOURS_PER_DAY = 24;

console.log (typeof shuttleName);
console.log (typeof shuttleSpeedMph);
console.log (typeof DISTANCE_TO_MARS_KM);
console.log (typeof DISTANCE_TO_MOON);
console.log (typeof MILES_PER_KILOMETER);

let milesToMars = DISTANCE_TO_MARS_KM * MILES_PER_KILOMETER;
let hoursToMars = milesToMars / shuttleSpeedMph;
let daysToMars = hoursToMars / HOURS_PER_DAY;

//console.log(shuttleName + ' will take '+ daysToMars + 'days to reach Mars.')
console.log(`${shuttleName} will take ${daysToMars.toFixed(2)} days to reach Mars.`)

let milesToMoon = DISTANCE_TO_MOON_KM * MILES_PER_KILOMETER;
let hoursToMoon = milesToMoon / shuttleSpeedMph;
let daysToMoon = hoursToMoon / HOURS_PER_DAY;

console.log(`${shuttleName} will take ${daysToMoon.toFixed(2)} days to reach the Moon.`);

let engineIndicatorLight = 'red blinking';
let spaceSuitsOn = true;
let shuttleCabinReady = true;
let crewStatus = spaceSuitsOn && shuttleCabinReady;
let ComputerStatusCode = 200;
let shuttleSpeed = 15_000;

if (crewStatus) {
	console.log('Crew Ready');
} else {
	console.log('Crew Not Ready');
}

if (ComputerStatusCode === 200) {	console.log('Please stand by. Computer is rebooting.');
 }  else if (ComputerStatusCode === 400) { console.log('Success! Computer online.');
 }  else { console.log('ALERT: Computer offline!');
}

 if (shuttleSpeed > 17_500) { console.log('ALERT: Escape velocity reached!');
 } else if (shuttleSpeed < 8000) { console.log('ALERT: Cannot maintain orbit!');
 } else { console.log('Stable speed.');
}

let fuelLevel = 21000;
let engineTemperature = 2500;

 
if (fuelLevel < 1000 || engineTemperature > 3500 || -engineIndicatorLight) {console.log('ENGINE FAILURE IMMINENT!');
} else if (fuelLevel > 20000 & engineTemperature <= 2500 ) {console.log('Full tank. Engines good.');
} else if (fuelLevel > 10000 & engineTemperature <= 2500) {console.log('Fuel level above 50%. Engines good.');
} else if (fuelLevel > 5000 & engineTemperature <= 2500) {console.log('Fuel level above 25%. Engines good.');
} else if (fuelLevel <= 5000 || engineTemperature > 2500) {console.log('Check fuel level. Engines running hot');
} else {console.log('Fuel and engine status pending...');}